# Information Schema USER\_PRIVILEGES Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `USER_PRIVILEGES` table contains global user privilege information derived from the [mysql.global\_priv](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-global_priv-table.md) grant table.

It contains the following columns:

| Column          | Description                                                                                                                                                              |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| GRANTEE         | In the format user\_name\@host\_name.                                                                                                                                    |
| TABLE\_CATALOG  | Always def.                                                                                                                                                              |
| PRIVILEGE\_TYPE | The specific privilege, for example CREATE USER, RELOAD, SHUTDOWN, SELECT, INSERT, UPDATE or REFERENCES.                                                                 |
| IS\_GRANTABLE   | Whether the user has the [GRANT OPTION](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md#the-grant-option-privilege) for this privilege. |

The database, table and column privileges returned here are the ones granted on all databases and tables, and by implication all columns.

Similar information can be accessed with the [SHOW GRANTS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-grants.md) statement. See the [GRANT](/docs/server/reference/sql-statements/account-management-sql-statements/grant.md) article for more about privileges.

This information is also stored in the [mysql.global\_priv](/docs/server/reference/system-tables/the-mysql-database-tables/mysql-global_priv-table.md) table, in the `mysql` system database.

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-user_privileges-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
